﻿local MAJOR_VERSION = "Threat-1.0"
local MINOR_VERSION = tonumber(("$Revision: 38530 $"):match("%d+"))

if MINOR_VERSION > _G.ThreatLib_MINOR_VERSION then
	_G.ThreatLib_MINOR_VERSION = MINOR_VERSION
end

ThreatLib_funcs[#ThreatLib_funcs+1] = function()

local ThreatLib = _G.ThreatLib

local BB = AceLibrary("Babble-Boss-2.2")

ThreatLib:GetModule("NPCCore"):RegisterModule(BB["Lady Vashj"], BB["Coilfang Elite"], BB["Coilfang Strider"], function(Vashj)
	function Vashj:Init()
		self:RegisterCombatant(BB["Lady Vashj"], true)
		self:RegisterCombatant(BB["Coilfang Elite"], self.eliteDeath)
		self:RegisterCombatant(BB["Coilfang Strider"], self.striderDeath)
	end

	function Vashj:StartFight()
		-- SetNumberOfMobs is used as a divisor for global threat. Be sure to set it correctly, and to account for mob deaths during the fight
		-- If you are unsure of the participants, or you want to just be safe, leave this at 1
		self:SetNumberOfMobs(1)
	end

	function Vashj:eliteDeath()
		self:WipeRaidThreatOnMob(BB["Coilfang Elite"])
	end

	function Vashj:striderDeath()
		self:WipeRaidThreatOnMob(BB["Coilfang Strider"])
	end
end)

table.insert(ThreatLib.UpvalueFixers, function(lib)
	ThreatLib = lib
end)

end